Bug 1611 - No linked title in Permalink news pages
: No linked title in Permalink news pages
Status: CLOSED FIXED
Product: maemo.org Website
News
: unspecified
: All Linux
: Low minor (vote)
: ---
Assigned To: Niels Breet
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-02 22:27 UTC by Quim Gil
Modified: 2007-12-04 12:59 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) nokia 2007-07-02 22:27:21 UTC
I still doen't know how Google raches pages like
http://maemo.org/news/community/view/98f0a092ee1d95efe7b02f2ccb517ce6.html but
the fact is that it gets there and spider these pages.

The problem is that they are Garage news but the title is not linking to the
original news. Nor there is any link or mention to the related Garage project.
This means that many of these news appear totally decontextualized (like the
URL above)
Comment 1 Niels Breet maemo.org 2007-07-10 10:33:05 UTC
(In reply to comment #0)
> I still doen't know how Google raches pages like
> http://maemo.org/news/community/view/98f0a092ee1d95efe7b02f2ccb517ce6.html but
> the fact is that it gets there and spider these pages.
> 
Weird thing is that this now gives a 404!

Henri, can you explain this? Did that link come for a rss feed perhaps? And
does it get purged after a certain time passes?

I constructed the following link from the permalink in the feed, and that seems
to work.

http://maemo.org/news/community/view/0c46e6ac2cfb11dc8ca56d769fc77f967f96.html
That title doesn't link to the original garage article indeed.
Comment 2 Henri Bergius 2007-07-10 11:39:17 UTC
The RSS importer removes articles that have been removed from their source
feeds.

If you want to keep them (and so keep the links working), configure the feeds
to do so:

Planet Maemo -> Manage feeds -> Edit feed -> Check the "Keep items removed from
feed locally" box
Comment 3 Felipe Contreras 2007-07-30 22:10:42 UTC
I confirm this.

What is worst, Google Reader links to that page instead of the original one.

For example:
http://maemo.org/news/planet-maemo/view/5c560f2d4bafc9f20eda11571fb30bab.html

Posted on 2007-07-30 15:56:29 EEST.

Posted by who? On which blog? And the permalink is linking to the same page
(not very useful).

This is with the RSS feeds. If I try the ATOM one the link goes to the original
post... but the content is all wrong!

I get things like:

<a onblur="try {parent.deselectBloggerImageGracefully();} catch(e) {}"
href="http://bp2.blogger.com/_Ki_XGZxWsq4/Rq014ciefSI/AAAAAAAABmw/-IWkVYnVsw0/s1600-h/CIMG2660.jpg"><img
style="margin: 0px auto 10px; display: block; text-align: center; cursor:
pointer;"
src="http://bp2.blogger.com/_Ki_XGZxWsq4/Rq014ciefSI/AAAAAAAABmw/-IWkVYnVsw0/s320/CIMG2660.jpg"
alt="" id="BLOGGER_PHOTO_ID_5092785997475642658" border="0" /></a>

Great :)
Comment 4 Quim Gil (reporter) nokia 2007-08-06 09:28:17 UTC
Perhaps the problem here is Google spidering those temnporary pages. They
apparently are easier to find in/by Google than the original items. 

Perhaps the solution is to tell the robots not to spider those RSS-based pages?
Comment 5 Felipe Contreras 2007-08-06 11:20:33 UTC
(In reply to comment #4)
> Perhaps the problem here is Google spidering those temnporary pages. They
> apparently are easier to find in/by Google than the original items. 
> 
> Perhaps the solution is to tell the robots not to spider those RSS-based pages?

But still some RSS readers are going to open the planet link instead of the
original one.

Perhaps improving the planet's permalink would be better. So the permalink
contains the author, original blog, and of course, original link. Removing
links to itself would be a plus.
Comment 7 Jake Kunnari 2007-12-04 12:59:13 UTC
Closing FIXED bugs. if error/problem still occurs, please reopen bug with
comments.